View Issue Details

IDProjectCategoryView StatusLast Update
0003460GNUnetHTTP transportpublic2018-06-07 00:25
ReporteramatusAssigned Toamatus 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003460: http_server transport crashes
DescriptionI'm running a peer with http(s)_{client,server} transport plugins enabled, after a while the transport service exits with:
Fatal error in GNU libmicrohttpd daemon.c:1411: Cannot suspend connections without enabling MHD_USE_SUSPEND_RESUME!
TagsNo tags attached.

Activities

amatus

2014-06-30 20:49

developer   ~0008489

I forgot to mention I'm on revision 33886.

amatus

2014-07-03 20:54

developer   ~0008502

Fixed in 33920.

amatus

2014-07-03 21:18

developer   ~0008503

#ifdef is wrong for an enum

amatus

2014-07-03 22:13

developer   ~0008504

Fixed in 33921.
Configure now checks for libmicrohttpd >= 0.9.32 so we know we have the suspend/resume features that we were using unconditionally anyway.

Issue History

Date Modified Username Field Change
2014-06-30 20:14 amatus New Issue
2014-06-30 20:14 amatus Status new => assigned
2014-06-30 20:14 amatus Assigned To => Matthias Wachs
2014-06-30 20:49 amatus Note Added: 0008489
2014-07-03 20:54 amatus Note Added: 0008502
2014-07-03 20:54 amatus Assigned To Matthias Wachs => amatus
2014-07-03 20:54 amatus Status assigned => resolved
2014-07-03 20:54 amatus Resolution open => fixed
2014-07-03 21:18 amatus Note Added: 0008503
2014-07-03 21:18 amatus Status resolved => feedback
2014-07-03 21:18 amatus Resolution fixed => reopened
2014-07-03 22:13 amatus Note Added: 0008504
2014-07-03 22:13 amatus Status feedback => assigned
2014-07-03 22:13 amatus Status assigned => resolved
2014-07-03 22:13 amatus Resolution reopened => fixed
2014-09-30 10:32 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-30 10:32 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed